Bug 165059 - If patchadd fails during rhn_check it's still considered a success
If patchadd fails during rhn_check it's still considered a success
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Solaris (Show other bugs)
500
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Wregglesworth
Max Spevack
:
Depends On:
Blocks: 152252
  Show dependency treegraph
 
Reported: 2005-08-03 19:20 EDT by John Wregglesworth
Modified: 2007-06-26 11:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-31 17:18:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Wregglesworth 2005-08-03 19:20:28 EDT
Description of problem: If you schedule patch install and patchadd fails when
rhn_check is run, it's still considered a success.


How reproducible: Always


Steps to Reproduce:
1. Schedule a patch install that you know will fail.
2. Run rhn_check -vvv
3. Watch the patchadd command fail, but still get counted as a successful install.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Wregglesworth 2005-08-05 15:37:19 EDT
Fixed in SVN.

Test Plan:
1. Schedule a patch install that you know will fail. For instance, schedule a
patch install for a program that isn't installed on the client machine, or try
to use a Solaris 9 patch on a Solaris 8 machine.

2. On the client, run rhn_check -vvv.

3. The patchadd command should fail, the rhncheck command should say that it
failed, and the webui should report the action as failed.
Comment 2 Max Spevack 2005-08-10 13:31:21 EDT
yep, PROD_READY
Comment 3 Max Spevack 2005-08-10 13:33:27 EDT
The webUI correctly reports failure, but the rhn_check doesn't give any
indication that the installation failed unless you run it with -vvv

That will be opened as a separate bug against rhn410-solaris.

Note You need to log in before you can comment on or make changes to this bug.